Subject: [css-d] semantically correct: padding vs margin

From: gleemax at attbi.com (John Lewis)
Date: Thu, 24 Apr 2003 23:18:01 -0500

Aleem wrote on Wednesday, April 23, 2003 at 10:12:35 PM:

> When I said semantic, I wasn't looking for a response along these
> lines, but rather something which went beyond - example: by default,
> does the body have a margin of ~10px from the frame or a padding of
> 10px within? Is either semantically correct? In publishing, pages
> don't have a frame (chrome) and since electronic publishing is a
> derivative of print, I would go with padding instead of margin on
> that one.

CSS agrees with you. <http://www.w3.org/TR/REC-CSS2/sample.html>

I don't think it's possible to make a case for margin, if you're
familiar with the spec. Of course that's what most browsers use. The
above sample style sheet is just a suggestion, which is a good thing
overall.

-- 
John Lewis